Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create gitlab user

POST/workspaces/{organizationId}/gitlab/users
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
userIdstringrequired
gitlabUsernamestringrequired
Responses
201

GitLab user mapping created

idstringrequired
organizationIdstringrequired
userIdstringrequired
gitlabUsernamestringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/gitlab/users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "string",
  "gitlabUsername": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "userId": "string",
  "gitlabUsername": "string",
  "createdAt": "string"
}

Was this page helpful?